Method: sdfdownloadtasks.operations.get

  • This method retrieves the latest state of an asynchronous SDF download task operation.

  • Clients should poll this method every 30 seconds to get updates.

  • The HTTP request uses a GET method with a specific URL path that includes the operation name.

  • The request body should be empty.

  • A successful response contains an instance of an Operation and requires a specific OAuth scope for authorization.

Gets the latest state of an asynchronous SDF download task operation. Clients should poll this method at intervals of 30 seconds.

HTTP request

GET https://displayvideo.googleapis.com/v1beta2/{name=sdfdownloadtasks/operations/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

The name of the operation resource.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Operation.

Authorization Scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.